<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Employees</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Employees
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Employees</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${successimpor != null}">
                <h4>Impor Data Success!</h4>

                <p>Data Berhasil Diimpor.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List of Employees</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class = "row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="companies" class="col-sm-2 control-label">Company</label>

                                    <div class="col-sm-10">
                                        <select class="form-control select2" name="companies" id="companies" style="width: 100%;">
<!--                                            <option value="">All</option>-->
                                            <option th:each="datass : ${listCompanies}"
                                                    th:selected="(${datass} == *{companiesSelected})"
                                                    th:text="${datass.companyName}"
                                                    th:value="${datass.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="companies" class="col-sm-2 control-label"></label>

                                    <div class="col-sm-10">
                                        <button type="submit" class="btn btn-default">Process</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <a th:href="@{/masterdata/employes/new}" name="tambah" type="button" class="btn btn-default">+ NEW Employee</a>
<!--                                <a th:if="${companiesSelected != null}" th:href="@{/employes/export/excel(companies=${companiesSelected.getId()})}" class="btn btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>-->
<!--                                <a th:if="${companiesSelected == null}" th:href="@{/employes/export/excel}" class="btn btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>-->
<!--                                <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-import-status">-->
<!--                                    <i class="ion-android-download"></i> Import Status-->
<!--                                </button>-->
                                <a th:href="@{/masterdata/employes/status}" class="btn btn-default">Setting Status</a>
                            </div>

                            <div class="col-md-6" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>

                <div class="modal fade" id="modal-import-status">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <form th:action="@{/employes/import/status}" method="post" enctype="multipart/form-data">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title">Import Data Status Employee</h4>
                                </div>
                                <div class="modal-body">
                                    <input type="file" th:name="file" />
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                    <input th:type="submit" value="Import" />
                                </div>
                            </form>
                        </div>
                        <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>

                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Id_number</th>
                            <th>Absen ID</th>
                            <th>Nick Name</th>
                            <th>Full Name</th>
                            <th>Branch</th>
                            <th>Gender</th>
                            <th>Status</th>
                            <th>Employee Status</th>
                            <th>Type</th>
                            <th>Class</th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataEmployes,row : ${listEmployes}">
                            <td th:text="${(row.index + 1) + (listEmployes.number * listEmployes.size)}">1.</td>
                            <td th:text="${dataEmployes.getNumber()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getIdAbsen()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getNickName()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getFullName()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getCompany()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getGender()}">BEASISWA</td>
                            <td>
<!--                                <a th:href="@{/masterdata/employes/status_aktif(employes=${dataEmployes.id})}" th:text="${dataEmployes.statusAktif}"></a>-->

                                <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataEmployes.getId()}">
                                    <span th:if="${dataEmployes.getStatus() != null and dataEmployes.getStatus() != ''}" th:text="${dataEmployes.getStatus()}"></span>
                                    <span th:if="${dataEmployes.getStatus() == null}" th:text="${'NONAKTIF'}"></span>
                                </button>
                                <span th:if="${dataEmployes.getStatus() != null and dataEmployes.getStatus() != ''}"
                                      th:text="${' Since : '+#temporals.format(dataEmployes.getTanggal(),'dd-MMM-yyyy')}">
                                </span>

                                <div class="modal fade" th:id="modal-default+${dataEmployes.getId()}">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form method="post" th:action="@{/masterdata/employes/status_aktif/save(employes=${dataEmployes.getId()}, page = ${pageable.getPageNumber()}, size = ${pageable.getPageSize()}, search = ${search})}">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title">Active Status</h4>
                                            </div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">Active Status</label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <select class="form-control select2" name="statusAktif" id="statusAktif" style="width: 100%;">
                                                            <option th:value="AKTIF">AKTIF</option>
                                                            <option th:value="RESIGN">RESIGN</option>
                                                            <option th:value="PENSIUN">PENSIUN</option>
                                                            <option th:value="NONAKTIF">NONAKTIF</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group">
                                                        <label class="col-sm-4 control-label">Date:</label>
                                                        <div class="col-sm-8">
                                                            <div class="input-group date">
                                                                <div class="input-group-addon">
                                                                    <i class="fa fa-calendar"></i>
                                                                </div>
                                                                <input type="text" class="form-control pull-right" id="tanggalActive" name="tanggalActive" placeholder="Date MM/dd/yyyy">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">Descriptions</label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <textarea class="form-control" name="deskripsi" id="deskripsi" rows="3" placeholder="Identity Address"></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-primary pull-right">Update</button>
                                            </div>

                                            </form>
                                        </div>
                                        <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->

<!--                                    <script>-->
<!--                                        $(function () {-->

<!--                                            // $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--                                            // //Datemask2 mm/dd/yyyy-->
<!--                                            // $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--                                            // //Money Euro-->
<!--                                            // $('[data-mask]').inputmask()-->

<!--                                            $('#tanggalActive').datepicker({-->
<!--                                                autoclose: true-->
<!--                                            })-->
<!--                                        })-->
<!--                                    </script>-->

                                </div>

                            </td>

                            <td>
                                <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default2'+${dataEmployes.getId()}">
                                    <span th:if="${dataEmployes.getStatusEmployee() != null and dataEmployes.getStatusEmployee() != ''}" th:text="${dataEmployes.getStatusEmployee()}"></span>
                                    <span th:if="${dataEmployes.getStatusEmployee() == null}" th:text="${'-'}"></span>
                                </button>
                                <span th:if="${dataEmployes.getStatusEmployee() != null and dataEmployes.getStatusEmployee() != '' and dataEmployes.getStatusEmployee() != 'TETAP'}"
                                      th:text="${' Since : '+#temporals.format(dataEmployes.getDariTanggal(),'dd-MMM-yyyy') +' to '+#temporals.format(dataEmployes.getSampaiTanggal(),'dd-MMM-yyyy')}">
                                </span>

                                <span th:if="${dataEmployes.getStatusEmployee() != null and dataEmployes.getStatusEmployee() != '' and dataEmployes.getStatusEmployee() == 'TETAP'}"
                                      th:text="${' Since : '+#temporals.format(dataEmployes.getDariTanggal(),'dd-MMM-yyyy')}">
                                </span>

                                <div class="modal fade" th:id="modal-default2+${dataEmployes.getId()}">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form method="post" th:action="@{/masterdata/employes/status_employee/save(employes=${dataEmployes.getId()}, page = ${pageable.getPageNumber()}, size = ${pageable.getPageSize()}, search = ${search})}">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title">Employee Status</h4>
                                            </div>
                                            <div class="modal-body">
                                                &nbsp;<div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">Employee Status</label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <select class="form-control select2" name="statusEmployee" id="statusEmployee" style="width: 100%;">
                                                            <option th:value="KONTRAK">KONTRAK</option>
                                                            <option th:value="TETAP">TETAP</option>
                                                            <option th:value="OUTSOURCE">OUTSOURCE</option>
                                                            <option th:value="HARIAN">HARIAN</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">From</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="input-group date">
                                                            <input type="date" class="form-control" id="dariTanggal" name="dariTanggal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">To</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="input-group date">
                                                            <input type="date" class="form-control" id="sampaiTanggal" name="sampaiTanggal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="col-sm-2 control-label">Descriptions</label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <textarea class="form-control" name="deskripsi2" id="deskripsi2" rows="3" placeholder="Identity Address"></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-primary pull-right">Update</button>
                                            </div>
                                            </form>
                                        </div>
                                        <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->

                                </div>
                            </td>

                            <td th:text="${dataEmployes.getType()}">BEASISWA</td>
                            <td th:text="${dataEmployes.getClasss()}">BEASISWA</td>

                            <td>
                                <a th:href="@{/masterdata/employes/edit(employes=${dataEmployes.id})}" class="btn btn-xs btn-primary">Edit</a>
                            </td>
                            <td>
                                <a th:href="@{/masterdata/employes/detail(employes=${dataEmployes.id})}" class="btn btn-xs btn-success">Detail</a>
                            </td>
                            <td>
                                <a th:href="@{/setting/employes/job(employes=${dataEmployes.id})}" class="btn btn-xs btn-warning">Job Position</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/masterdata/employes/delete(employes=${dataEmployes.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Id_number</th>
                            <th>Absen ID</th>
                            <th>Nick Name</th>
                            <th>Full Name</th>
                            <th>Branch</th>
                            <th>Gender</th>
                            <th>Status</th>
                            <th>Employee Status</th>
                            <th>Type</th>
                            <th>Class</th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>


                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            $('body').on('focus',"#tanggalActive", function(){
                $(this).datepicker();
            });

            //Date picker
            $('#tanggalActive2').datepicker({
                autoclose: true,

            })

            $('#tanggalEmployee').datepicker({
                autoclose: true,

            })
            $('#tanggalActive').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>

    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>